/**
 * Validid is a Javascript library to validate ID Card numbers of China, Taiwan, Hong Kong and South Korea.
 * Validid is open source in:
 * https://github.com/Edditoria/validid
 * 
 * @author Edditoria
 * @license MIT
 * Code released under the MIT license:
 * https://github.com/Edditoria/validid/blob/master/LICENSE.txt
 * 
 */

function normalize(id){var re;re=/[-\/\s]/g;id=id.toUpperCase().replace(re,"");re=/\([A-Z0-9]\)$/;if(re.test(id)){id=id.replace(/[\(\)]/g,"")}return id}function isDateValid(idDate,minDate,maxDate){if(minDate===void 0)minDate="default";if(maxDate===void 0)maxDate="today";var isFormatValid,parseDate;if(minDate==="default"||minDate===""){minDate="18991129"}isFormatValid=function(date){return typeof date==="string"&&/^[0-9]{8}$/.test(date)};if(!isFormatValid(idDate)){return false}if(!isFormatValid(minDate)){return false}parseDate=function(input){var date,day,isDayValid,isFutureDate,isLeapYear,isMonthValid,maxDay,month,startIndex,year;startIndex=0;year=+input.substring(startIndex,startIndex+=4);month=input.substring(startIndex,startIndex+=2);day=+input.substring(startIndex,startIndex+=2);date=new Date(year,+month-1,day);maxDay="01,03,05,07,08,10,12".indexOf(month)>=0?31:"04,06,09,11".indexOf(month)>=0?30:(isLeapYear=year%4===0&&year%100!==0||year%400===0,isLeapYear?29:28);isDayValid=day>0&&day<=maxDay;if(!isDayValid){return false}isMonthValid=+month>0&&+month<=12;if(!isMonthValid){return false}isFutureDate=new Date<date;if(isFutureDate){return false}return date};idDate=parseDate(idDate);if(idDate===false){return false}minDate=parseDate(minDate);if(minDate===false){return false}maxDate=maxDate==="today"?new Date:typeof maxDate==="string"?parseDate(maxDate):maxDate;if(maxDate===false){return false}return idDate>=minDate&&idDate<=maxDate}function cnid(id){var isChecksumValid,isFormatValid,isThisDateValid;isFormatValid=function(id){return/^[0-9]{17}[0-9X]$/.test(id)};isThisDateValid=function(id){return isDateValid(id.substring(6,14),"18860625")};isChecksumValid=function(id){var char,checkDigit,getWeight,i,identifier,index,len,remainder,weightedSum;identifier=id.slice(0,-1);checkDigit=id.slice(-1)==="X"?10:+id.slice(-1);getWeight=function(n){return Math.pow(2,n-1)%11};weightedSum=0;index=id.length;for(i=0,len=identifier.length;i<len;i++){char=identifier[i];weightedSum+=+char*getWeight(index);index--}remainder=(12-weightedSum%11)%11-checkDigit;return remainder===0};id=normalize(id);return isFormatValid(id)&&isThisDateValid(id)&&isChecksumValid(id)}function isTwidChecksumValid(id,letterNum){var char,i,idLen,idLetters,idNumbers,len,letterIndex,letters,remainder,weight,weightedSum;idLetters=id.slice(0,letterNum);idNumbers=id.slice(letterNum);idLen=10;letters="ABCDEFGHJKLMNPQRSTUVXYWZIO";letterIndex=letters.indexOf(idLetters[0]);weightedSum=Math.floor(letterIndex/10+1)+letterIndex*(idLen-1);if(letterNum===2){weightedSum+=letters.indexOf(idLetters[1])*(idLen-2)}weight=idLen-idLetters.length-1;for(i=0,len=idNumbers.length;i<len;i++){char=idNumbers[i];weightedSum+=+char*weight;weight--}remainder=(weightedSum+ +idNumbers.slice(-1))%10;return remainder===0}function twid(id){var isFormatValid;isFormatValid=function(id){return/^[A-Z][12][0-9]{8}$/.test(id)};id=normalize(id);return isFormatValid(id)&&isTwidChecksumValid(id,1)}function getTwrcFormat(id){if(/^[A-Z][A-D][0-9]{8}$/.test(id)){return"old"}if(/^[A-Z][89][0-9]{8}$/.test(id)){return"new"}return false}function twrc(id){var idFormat;id=normalize(id);idFormat=getTwrcFormat(id);if(idFormat==="old"){return isTwidChecksumValid(id,2)}if(idFormat==="new"){return isTwidChecksumValid(id,1)}return false}function twrcLegacy(id){var isFormatValid;isFormatValid=function(id){return/^[A-Z][A-D][0-9]{8}$/.test(id)};id=normalize(id);return isFormatValid(id)&&isTwidChecksumValid(id,2)}function hkid(id){var getLetterValue,isChecksumValid,isFormatValid,isLetter;getLetterValue=function(letter){return letter.charCodeAt(0)-55};isLetter=function(char){return/[a-zA-Z]/.test(char)};isFormatValid=function(id){return/^[A-NP-Z]{1,2}[0-9]{6}[0-9A]$/.test(id)};isChecksumValid=function(id){var char,charValue,checkDigit,i,identifier,len,remainder,weight,weightedSum;weight=id.length;weightedSum=weight===8?324:0;identifier=id.slice(0,-1);checkDigit=id.slice(-1)==="A"?10:+id.slice(-1);for(i=0,len=identifier.length;i<len;i++){char=identifier[i];charValue=isLetter(char)?getLetterValue(char):+char;weightedSum+=charValue*weight;weight--}remainder=(weightedSum+checkDigit)%11;return remainder===0};id=normalize(id);return isFormatValid(id)&&isChecksumValid(id)}function getMaxDate(yearsOld){var now,year;now=new Date;year=now.getFullYear()-yearsOld;return new Date(year,now.getMonth(),now.getDate())}function krid(id){var isChecksumValid,isFormatValid,isThisDateValid;isFormatValid=function(id){return/^[0-9]{13}$/.test(id)};isThisDateValid=function(id){var date,maxDate,sDigit,yearPrefix;sDigit=id.substring(6,7);yearPrefix=function(){switch(sDigit){case"1":case"2":case"5":case"6":return"19";case"3":case"4":case"7":case"8":return"20";default:return"18"}}();date=yearPrefix+id.substring(0,6);maxDate=getMaxDate(17);return isDateValid(date,"default",maxDate)};isChecksumValid=function(id){var char,i,index,len,remainder,weight,weightedSum;weight=[2,3,4,5,6,7,8,9,2,3,4,5,0];weightedSum=0;index=0;for(i=0,len=id.length;i<len;i++){char=id[i];weightedSum+=+char*weight[index];index++}remainder=(11-weightedSum%11)%10-+id.slice(-1);return remainder===0};id=normalize(id);return isFormatValid(id)&&isThisDateValid(id)&&isChecksumValid(id)}var depreciatedError,validid;depreciatedError=function(){throw new Error("validid.tools is depreciated. Please use validid.utils instead")};validid=function(){return null};validid.utils={normalize:normalize,isDateValid:isDateValid,getMaxDate:getMaxDate,isTwidChecksumValid:isTwidChecksumValid,getTwrcFormat:getTwrcFormat};validid.tools={normalize:depreciatedError,isDateValid:depreciatedError,getMaxDate:depreciatedError,isTwidChecksumValid:depreciatedError,getTwrcFormat:depreciatedError};validid.cnid=cnid;validid.twid=twid;validid.twrc=twrc;validid.hkid=hkid;validid.krid=krid;validid.twrcLegacy=twrcLegacy;var validid$1=validid;export{validid$1 as default};
